A newer version of this documentation is available.

View Latest

Setting Recovery Type

  • reference

Couchbase Server Enterprise Edition 7.6 reaches End of Life on March 31, 2027. Please upgrade to 8.0.x by following Upgrade, or contact Couchbase Support.

Node recover type is set with the POST /controller/setRecoverType HTTP method and URI.

HTTP method and URI

Sets the recovery type to be performed for a node. Recovery options are delta node recovery or full recovery. The recovery type for a node is set after the node is failed over and before rebalance. Rebalance is required to apply the recovery.

POST /controller/setRecoveryType

The progress of setting recovery type can be tracked just like rebalance. After the data is persisted to disk and replicas are up-to-date, the node is put into the failed over state.

Syntax

POST /controller/setRecoveryType
    otpNode=[node@hostname]
    recoveryType=[full|delta]

Example

The following Curl request example sets delta node recovery.

curl -u Administrator:password -d 'otpNode=ns_1@10.5.2.118' -d 'recoveryType=delta' \
http://10.5.2.54:8091/controller/setRecoveryType

Response codes

200       // Request succeeded
400       // recoveryType and/or otpNode could not be understood by the server
404       // The cluster is running in a pre-3.0 compatibility mode and thus
             cannot satisfy the request